import { ReactElement, ReactNode } from 'react';
import { UserListItemProps } from '../../../../ui/UserListItem';
export interface BannedUsersModalProps {
    onCancel(): void;
    renderUserListItem?: (props: UserListItemProps) => ReactNode;
}
export declare function BannedUsersModal({ onCancel, renderUserListItem, }: BannedUsersModalProps): ReactElement;
export default BannedUsersModal;
